Broken paths when upgrading Apache

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
webcomics4life
Registered User
Posts: 2
Joined: Mon Aug 28, 2017 2:49 am

Broken paths when upgrading Apache

Post by webcomics4life » Fri Sep 01, 2017 3:33 pm

This is not support request. I am only posting for future reference should anyone else encounter the same problems. This applies to users running Apache 2.4.26 and PHP-FPM 5.6, 7.0, 7.1.

There is a slight change in how Apache 2.4.26 communicates environment variables to PHP-FPM. This change prevents phpBB from receiving correct path information. The solution is to add ProxyFCGIBackendType GENERIC to the Apache configuration file.

I've encountered following errors cause by this change.
  • No route found for "GET /install/app.php" error while attempting to install phpBB 3.2.
  • Links are broken if phpBB is placed in a subdirectory, "example.com/phpBB3/viewtopic.php" -> example.com/viewtopic.php
  • Invaild paths to style sheets

Post Reply

Return to “[3.2.x] Support Forum”

Who is online

Users browsing this forum: Baidu [Spider], david63, NomadThanatos, treemon and 17 guests